How to install Lollypop on Ubuntu 16.04

To install Lollypop On Ubuntu 16.04

Lollypop is an open-source, audio player developed in GTK+3, created as a Rhythmbox alternative. Among others, it has support the playback of the most popular audio formats, including mp3, mp4, ogg and flac, allows the users to visualize the songs via album, artist or genre, can play the files in order or shuffle (random).

 

To install Lollypop

 Initiate the installation of Lollypop by adding the repository. Use the following command for the same process. 

root@linuxhelp1:~# add-apt-repository ppa:gnumdk/lollypop
 Lollypop media player
 More info: https://launchpad.net/~gnumdk/+archive/ubuntu/lollypop
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmptny5lpn9/secring.gpg' created
gpg: keyring `/tmp/tmptny5lpn9/pubring.gpg' created
gpg: requesting key 7AA84500 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmptny5lpn9/trustdb.gpg: trustdb created
gpg: key 7AA84500: public key "Launchpad PPA for Bellegarde Cedric" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK


Update the newly added repository with the help of following command. 

root@linuxhelp1:~# apt-get update
Get:1 http://ppa.launchpad.net/gnumdk/lollypop/ubuntu xenial InRelease [17.5 kB]
Hit:2 http://in.archive.ubuntu.com/ubuntu xenial InRelease                     
Get:3 http://in.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                               
Get:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]         
Get:5 http://ppa.launchpad.net/gnumdk/lollypop/ubuntu xenial/main amd64 Packages [1,132 B]    
Get:6 http://ppa.launchpad.net/gnumdk/lollypop/ubuntu xenial/main i386 Packages [1,132 B]                        
Get:7 http://ppa.launchpad.net/gnumdk/lollypop/ubuntu xenial/main Translation-en [4,768 B]                       
Get:8 http://in.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]                              
Fetched 331 kB in 2s (128 kB/s)    
Reading package lists... Done


Once the repository is updated, install the lollypop package by invoking the following command. 

root@linuxhelp1:~# apt-get install lollypop -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  ffmpeg gnome-settings-daemon gnome-settings-daemon-schemas i965-va-driver iio-sensor-proxy libaacs0 libass5 libavcodec-ffmpeg56 libavdevice-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbdplus0 libbluray1 libbs2b0 libcrystalhd3 libdc1394-22 libdvdnav4 libdvdread4 libenca0 libflite1 libgme0 libgsm1 libguess1 libmodplug1 libmp3lame0
  libopenal-data libopenal1 libopencv-core2.4v5 libopencv-imgproc2.4v5 libopenjpeg5 libpostproc-ffmpeg53 librubberband2v5 libschroedinger-1.0-0 libsdl1.2debian libsdl2-2.0-0 libshine3 libsnappy1v5
  libsndio6.1 libsodium18 libsoxr0 libssh-gcrypt-4 libswresample-ffmpeg1 libswscale-ffmpeg3 libtbb2 libtwolame0 libva-wayland1 libva-x11-1 libva1 libvdpau1 libx264-148 libx265-79 libxvidcore4 libzmq5
  libzvbi-common libzvbi0 mesa-vdpau-drivers mpv python-pkg-resources python3-pylast rtmpdump va-driver-all vdpau-driver-all vdpau-va-driver youtube-dl
Suggested packages:
  ffmpeg-doc libbluray-bdj firmware-crystalhd libdvdcss2 sndiod python-setuptools libfglrx-amdxvba1 libvdpau-va-gl1 nvidia-vdpau-driver nvidia-legacy-340xx-vdpau-driver
The following NEW packages will be installed:
  ffmpeg gnome-settings-daemon i965-va-driver iio-sensor-proxy libaacs0 libass5 libavcodec-ffmpeg56 libavdevice-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56 libavresample-ffmpeg2 libavutil-ffmpeg54
  libbdplus0 libbluray1 libbs2b0 libcrystalhd3 libdc1394-22 libdvdnav4 libdvdread4 libenca0 libflite1 libgme0 libgsm1 libguess1 libmodplug1 libmp3lame0 libopenal-data libopenal1 libopencv-core2.4v5
  libopencv-imgproc2.4v5 libopenjpeg5 libpostproc-ffmpeg53 librubberband2v5 libschroedinger-1.0-0 libsdl1.2debian libsdl2-2.0-0 libshine3 libsnappy1v5 libsndio6.1 libsodium18 libsoxr0 libssh-gcrypt-4
  libswresample-ffmpeg1 libswscale-ffmpeg3 libtbb2 libtwolame0 libva-wayland1 libva-x11-1 libva1 libvdpau1 libx264-148 libx265-79 libxvidcore4 libzmq5 libzvbi-common libzvbi0 lollypop mesa-vdpau-drivers
  mpv python-pkg-resources python3-pylast rtmpdump va-driver-all vdpau-driver-all vdpau-va-driver youtube-dl
The following packages will be upgraded:
  gnome-settings-daemon-schemas                                 
.
.
.
Setting up iio-sensor-proxy (1.1-1) ...
Setting up libaacs0:amd64 (0.8.1-1) ...
Setting up libbdplus0:amd64 (0.1.2-1) ...
Setting up libdvdread4:amd64 (5.0.3-1) ...
Setting up libdvdnav4:amd64 (5.0.3-1) ...
Setting up libenca0:amd64 (1.18-1) ...
Setting up librubberband2v5:amd64 (1.8.1-6ubuntu2) ...
Setting up gnome-settings-daemon (3.18.2-0ubuntu3.1) ...
Setting up lollypop (0.9.229-1ppa1ubuntu1.1) ...
Setting up rtmpdump (2.4+20151223.gitfa8646d-1build1) ...
Setting up youtube-dl (2017.01.10-1ppa1ubuntu1.1) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for dbus (1.10.6-1ubuntu3) ...

 

Lollypop is now installed. To open it click on the search bar and type lollypop. Click on the icon of the lollypop to open it. 

search_lollipop 

Now you can view the lollypop.

Lollypop_music_player


If you want to remove the Lollypop package from your rmachine, run the following command. 

root@linuxhelp1:~# apt-get remove lollypop -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-settings-daemon iio-sensor-proxy libdvdnav4 libdvdread4 libenca0 libguess1 librubberband2v5 libsdl2-2.0-0 libsndio6.1 libva-wayland1 libva-x11-1 mpv python-pkg-resources python3-pylast rtmpdump
  youtube-dl
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  lollypop
0 upgraded, 0 newly installed, 1 to remove and 453 not upgraded.
After this operation, 2,292 kB disk space will be freed.
(Reading database ... 178200 files and directories currently installed.)
Removing lollypop (0.9.229-1ppa1ubuntu1.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160415-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.0-1ubuntu4) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...

Thank you! for using Linux Help.

You find this tutorial helpful? Share with your friends to keep it alive.
For more help topics browse our website www.linuxhelp.com
Be the first to comment, we value your suggestions. For further queries please comment below.

Tags: Audio Player
user image Author :  Elijah